Subject: bug#58049: 29.0.50; Obsolete url schemes "info" and "man"

From: Stefan Kangas <[email-masked]>
Date: Sun, 25 Sep 2022 08:09:53 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> I'm all for retiring the info: and man: schemes (since they are 100%
> useless), but don't really see the need to do so piecemeal -- when Emacs
> grows a new URL library that functions better than the current one,
> it'll only support http(s) and file, so all this junk will disappear in
> one fell swoop.

I think I agree.  Eli also has a point when he says that we might as
well just leave the support in.

How about saying in the URL manual that the info: and man: schemes as
deprecated, so people at least won't try to use them in new code?  That
is a small change, but will also potentially make the transition to
something new and improved a tiny bit easier.  It'll also discourage
anyone from attempting to re-implement it in the new library.